.icon-shortcut__aside {
  position: absolute;
  right: 1rem;
  bottom: 1rem;
  width: 45px;
  z-index: 700;

  & .icon-shortcut__text {
    transform: translateY(50%);
    right: calc(100% + 1rem);
    left: auto;
    bottom: 50% !important;
  }

  &.-fixed {
    position: fixed;
  }
}

.frame-type-gkmb_icon_shortcut {
  display: flex;
  gap: 0.5rem;
  flex-wrap: wrap;
}

.icon-shortcut__link {
  position: relative;
  width: 45px;
  height: 45px;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 10px;
  background: rgb(var(--c-primary-dark));
  border-radius: 40px;
  transition: 0.2s ease all;
  color: rgb(var(--c-neutral-lightest)) !important;
  border: 1px solid rgb(var(--c-neutral-lightest));

  &[rel="noreferrer"]::after {
    font-size: 10px;
    position: absolute;
    right: -8px;
    top: -4px;
    line-height: 20px;
    text-align: center;
    margin: 0;
    border: 1px solid rgb(var(--c-neutral-lightest));
    background: rgb(var(--c-primary));
    border-radius: 20px;
    width: 20px;
    height: 20px;
  }
}

.icon-shortcut__link:not(.toplink) {
  display: none;
}

.toplink {
  cursor: pointer;
}

.icon-shortcut__text {
  opacity: 0;
  transition: 0.5s ease all;
  position: absolute;
  bottom: 100%;
  background: rgb(var(--c-primary));
  white-space: nowrap;
  left: 50%;
  transform: translateX(-50%);
  border-radius: var(--b-radius-s);
  padding: 0.4rem 1rem;
  letter-spacing: 0.02em;
  font-size: var(--f-size-s-1);
  color: rgb(var(--c-neutral-lightest));
}

.icon-shortcut__icon {
  line-height: 1;
  font-size: 18px;
}

@media (hover: hover) {
  .icon-shortcut__link:hover {
    background: rgb(var(--c-primary));
    color: rgb(var(--c-neutral-lightest));
    -webkit-box-shadow: 0 3px 7px rgba(var(--c-neutral-darkest), 0.1);
    -moz-box-shadow: 0 3px 7px rgba(var(--c-neutral-darkest), 0.1);
    -o-box-shadow: 0 3px 7px rgba(var(--c-neutral-darkest), 0.1);
    box-shadow: 0 3px 7px rgba(var(--c-neutral-darkest), 0.1);
  }

  .icon-shortcut__link:hover .icon-shortcut__text {
    opacity: 1;
    bottom: calc(100% + 1rem);
  }
}


/* =============================================================================
   Media Queries
   ========================================================================== */

@media (min-width: 900px) {
  .icon-shortcut__aside {
    top: 120px;
  }

  .icon-shortcut__link:not(.toplink) {
    display: flex;
  }
}